classification
Title: doc: Wrong "from" keyword link in Exceptions doc
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Mariatta, docs@python, iritkatriel, miss-islington, sblondon
Priority: normal Keywords: patch

Created on 2020-12-07 15:53 by iritkatriel, last changed 2021-04-30 16:25 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 23872 merged sblondon, 2020-12-20 18:29
PR 25730 merged miss-islington, 2021-04-29 18:02
PR 25755 merged sblondon, 2021-04-30 16:17
Messages (6)
msg382649 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2020-12-07 15:53
In the Exceptions doc:
https://docs.python.org/3/library/exceptions.html#built-in-exceptions

In the sentence 
"The expression following from must be an exception or None."

"from" is a keyword which links to
https://docs.python.org/3/reference/simple_stmts.html#from

But that is related to the from in "from X import Y" rather than "raise X from Y".
msg392339 - (view) Author: miss-islington (miss-islington) Date: 2021-04-29 18:02
New changeset 2fd928c8c1328424130cb9c51fc02ad5f9a66328 by sblondon in branch 'master':
bpo-42589: Change URL for 'from' link when used in a raised exception (GH-23872)
https://github.com/python/cpython/commit/2fd928c8c1328424130cb9c51fc02ad5f9a66328
msg392340 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2021-04-29 18:06
Thanks for the PR. There is conflict with applying it to the 3.8 branch. If you can get to it, it would be great. Thanks.
msg392342 - (view) Author: miss-islington (miss-islington) Date: 2021-04-29 18:26
New changeset 3eaa6f9d185f2a2c66d98a77d3ea3f407bc96d0e by Miss Islington (bot) in branch '3.9':
bpo-42589: Change URL for 'from' link when used in a raised exception (GH-23872)
https://github.com/python/cpython/commit/3eaa6f9d185f2a2c66d98a77d3ea3f407bc96d0e
msg392466 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2021-04-30 16:21
Thanks for the work!
msg392468 - (view) Author: miss-islington (miss-islington) Date: 2021-04-30 16:25
New changeset ea6ec96c379a77ae827e844d840a9fd773781124 by sblondon in branch '3.8':
[3.8] bpo-42589: Change URL for 'from' link when used in a raised exc… (GH-25755)
https://github.com/python/cpython/commit/ea6ec96c379a77ae827e844d840a9fd773781124
History
Date User Action Args
2021-04-30 16:25:59miss-islingtonsetmessages: + msg392468
2021-04-30 16:21:10Mariattasetstatus: open -> closed
resolution: fixed
messages: + msg392466

stage: patch review -> resolved
2021-04-30 16:17:16sblondonsetstage: backport needed -> patch review
pull_requests: + pull_request24445
2021-04-29 18:26:33miss-islingtonsetmessages: + msg392342
2021-04-29 18:06:20Mariattasetnosy: + Mariatta

messages: + msg392340
stage: patch review -> backport needed
2021-04-29 18:02:51miss-islingtonsetpull_requests: + pull_request24421
2021-04-29 18:02:48miss-islingtonsetnosy: + miss-islington
messages: + msg392339
2020-12-20 18:29:21sblondonsetkeywords: + patch
nosy: + sblondon

pull_requests: + pull_request22734
stage: patch review
2020-12-07 15:53:35iritkatrielcreate